using System;
using System.Data;
using CogArtTech.Music.Library;
using CogArtTech.Music.Library.Lists;
using Csla;

namespace CogArtTech.Music.WebApp
{
    public partial class MusicianDetail : MusicPageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!IsPostBack)
            {
                BindList();
            }
        }

        protected void btnCommand_Click(object sender, EventArgs e)
        {
            Musician musician = MusiciansList.NewMusician();
            musician.FirstName = txtFirstName.Text;
            musician.LastName = txtLastName.Text;
            musician.DateOfBirth = new SmartDate(txtDob.Text);

            if (musician.IsValid)
            {
                MusiciansList list = MusiciansList.GetList();
                list.Add(musician);
                list.Save();
                lblSaved.Visible = true;

                BindList();
            }
        }

        protected void calDob_SelectionChanged(object sender, EventArgs e)
        {
            txtDob.Text = calDob.SelectedDate.ToShortDateString();
        }

        private void BindList()
        {
            lstMusicians.DataSource = MusiciansList.GetList();
            lstMusicians.DataTextField = "FullName";
            lstMusicians.DataValueField = "Id";
            lstMusicians.DataBind();
        }

    }
}